package com.lnb.multidatasourcedemo.model;

import lombok.Data;

/**
 * 路由实体.
 * Created by liaoningbo on 2021/11/24
 */
@Data
public class RoutingKey2DB {

    private String url;

    private String databaseName;

    public RoutingKey2DB(String url, String databaseName) {
        this.url = url;
        this.databaseName = databaseName;
    }

    @Override
    public String toString() {
        StringBuilder buf = new StringBuilder();
        buf.append("{");
        buf.append("\n\turl:");
        buf.append(this.getUrl());
        buf.append(",\n\tdatabaseName:");
        buf.append(this.getDatabaseName());
        buf.append("\n\t}");
        return buf.toString();
    }
}
